import { IntrospectionQuery, DocumentNode, BuildSchemaOptions, GraphQLSchema } from 'graphql';
import { LanguageService } from './LanguageService';
export declare type BaseSchemaConfig = {
    buildSchemaOptions?: BuildSchemaOptions;
    schema?: GraphQLSchema;
    documentString?: string;
    documentAST?: DocumentNode;
    introspectionJSON?: IntrospectionQuery;
    introspectionJSONString?: string;
};
export declare type SchemaConfig = {
    uri: string;
    fileMatch?: string[];
    buildSchemaOptions?: BuildSchemaOptions;
    schema?: GraphQLSchema;
    documentString?: string;
    documentAST?: DocumentNode;
    introspectionJSON?: IntrospectionQuery;
    introspectionJSONString?: string;
};
export declare type SchemaLoader = (schemaConfig: SchemaConfig, parser: LanguageService['parse']) => GraphQLSchema;
export declare const defaultSchemaLoader: SchemaLoader;
//# sourceMappingURL=schemaLoader.d.ts.map